/* linker_C6747.cmd */
 

-stack           0x00000800      /* Stack Size */
-heap            0x00010000      /* Heap Size */

MEMORY
{
   vecs_ram:        ORIGIN = 0xFFFF0000  LENGTH = 0x00000080	/* 128 bits */
   arm_ram:         ORIGIN = 0xFFFF0080  LENGTH = 0x00001F80	/* 7 Kbits */
   dsp_l2_ram:      ORIGIN = 0x11800000  LENGTH = 0x00040000	/* 256 Kbits */
   shared_ram:      ORIGIN = 0x80000000  LENGTH = 0x00020000	/* 128 Kbits */
   sd_ram:          ORIGIN = 0xC0000000  LENGTH = 0x20000000	/* 512 Mbits */
}

SECTIONS
{
   .text       > dsp_l2_ram		/* executable code */
   .const      > dsp_l2_ram		/* initialized constants */
   .bss        > dsp_l2_ram		/* global and static variables */
   .far        > dsp_l2_ram		/* global and static variables */
   .switch     > dsp_l2_ram
   .stack      > dsp_l2_ram		/* stack for loal variables */
   .data       > dsp_l2_ram		/* data from .asm programs */
   .cinit      > dsp_l2_ram		/* tables for initializing */
   .sysmem     > dsp_l2_ram
   .cio        > dsp_l2_ram		/* used for C input and output functions */
   .vecs       > dsp_l2_ram		/* interrupt vectors included */
   
}
