/*
 *  Copyright 2007 by Spectrum Digital Incorporated.
 *  All rights reserved. Property of Spectrum Digital Incorporated.
 */

/*
 *  I2C GPIO I/O expander header file
 *
 */

#ifndef I2C_GPIO_
#define I2C_GPIO_

#ifdef __cplusplus
extern "C" {
#endif

#include "evmomapl137_i2c.h"

/* ------------------------------------------------------------------------ *
 *  Prototypes                                                              *
 * ------------------------------------------------------------------------ */
Int16 EVMOMAPL137_I2CGPIO_init( );
Int16 EVMOMAPL137_I2CGPIO_getall( Uint16 group_id, Uint8 *pattern );
Int16 EVMOMAPL137_I2CGPIO_setall( Uint16 group_id, Uint8 pattern );

Int16 EVMOMAPL137_I2CGPIO_setOutput( Uint16 group_id, Uint8 number, Uint8 value );
Int16 EVMOMAPL137_I2CGPIO_getInput ( Uint16 group_id, Uint8 number );

#ifdef __cplusplus
}
#endif

#endif
